import React from 'react';
import Taro from '@tarojs/taro';
import { View, Image, ScrollView } from '@tarojs/components';

export default function (props) {

  const [imgStyle, setStyle] = React.useState({ height: '100%' });

  const onLoad = e => {
    const { width, height } = e.detail;

    if (width > 0 && height > 0) {
      Taro.getSystemInfo({
        success: res => {
          const windowWidth = res.windowWidth;


          setStyle({
            height: `${windowWidth * height / width}px`,
          });
        }
      })
    }
  }
  
  return (
    <View className='page-index'>
      <ScrollView scrollY style={{ height: '100%'  }}>
        <Image
          src='https://dz-machinery.oss-cn-nanjing.aliyuncs.com/images/news-demo1.png'
          style={{ display: 'block', width: '100%', ...imgStyle }}
          onLoad={onLoad}
        />
      </ScrollView>
    </View>
  );
}
